Bug 639661 - Review Request: arm-none-eabi-binutils-cs - GNU Binutils for cross-compilation for ARM target
Review Request: arm-none-eabi-binutils-cs - GNU Binutils for cross-compilatio...
Status: CLOSED DUPLICATE of bug 886900
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
: 565313 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-02 23:58 EDT by Eric Smith
Modified: 2012-12-13 09:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 09:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2010-10-02 23:58:12 EDT
Spec URL: http://www.brouhaha.com/~eric/software/fedora/review/arm/binutils/arm-none-eabi-binutils-cs.spec
SRPM URL: http://www.brouhaha.com/~eric/software/fedora/review/arm/binutils/arm-none-eabi-binutils-cs-2010q1_188-1.fc13.src.rpm

Description:

This is a cross-compilation version of GNU Binutils, which can be used to
assemble and link binaries for the %{target} platform.  

This Binutils package is based on the CodeSourcery
%{cs_date}-%{cs_rel} release, which includes improved ARM target
support compared to the corresponding FSF release.  CodeSourcery
contributes their changes to the FSF, but it takes a while for them to
get merged.  For the ARM target, effectively CodeSourcery is upstream
of FSF.


Note that this is part of a cross-development chain targeting "bare-metal" development or for use with an embedded RTOS, as opposed to cross-developing for Linux.

This review request obsoletes an earlier review request for arm-none-eabi-binutils, bug #565313.
Comment 1 Eric Smith 2010-10-02 23:58:23 EDT
*** Bug 565313 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2010-11-23 20:01:31 EST
Can you comment on how this relates to the existing armv5tel-unknown-linux-gnueabi-binutils review ticket (bug 509798)?  I've no idea if you're trying to package the same thing or not.
Comment 3 Eric Smith 2010-11-23 22:17:23 EST
This toolchain is for "bare-metal" cross-development, not for a Linux target.  That's why it is "arm-none-eabi" rather than "arm<something>-unknown-linux-gnueabi".  The -linux-gnueabi tools are well-suited for cross-development for a Linux target, and not so well-suited for bare metal.  That's why CodeSourcery has completely independent builds of the toolchain they distribute.
Comment 4 Hans Ulrich Niedermann 2011-05-01 17:09:19 EDT
I would like to see a working "bare-metal" cross-development toolchain for arm7tdmi based microcontrollers in Fedora (my use case will be an ADUC7026). Are you still interested in this package? If so, I'd like to do a review, and also help with other packages for the toolchain.
Comment 5 Jason Tibbitts 2012-04-24 17:40:02 EDT
Unfortunately it's been nearly a year since that "are you still interested" query with no response, so I'll just go ahead and close this out.
Comment 6 Michal Hlavinka 2012-12-03 16:14:13 EST
I'm interested in packaging this. Taking over.

Spec URL: http://mihlit.cz/smetiste/arm-none-eabi-binutils-cs.spec
SRPM URL: http://mihlit.cz/smetiste/arm-none-eabi-binutils-cs-2012.09.63-1.fc17.src.rpm
Description: 
This is a cross-compilation version of GNU Binutils, which can be used to
assemble and link binaries for the %{target} platform.

This Binutils package is based on the CodeSourcery
%{cs_date}-%{cs_rel} release, which includes improved ARM target
support compared to the corresponding FSF release.  CodeSourcery
contributes their changes to the FSF, but it takes a while for them to
get merged.  For the ARM target, effectively CodeSourcery is upstream
of FSF.

Fedora Account System Username: mhlavink

--------------------------------------
It was noted in comment #0 and #3 - this is targeted for bare-metal arm development (st's STM32xxxx, atmel's SAMxxxx and similar microcontrollers - like avr). 
--------------------------------------

rpmlint is not silent:
1) macros in comments - these are just plain strings used is commented-out URLs, so no ugly macros with side-effects
2) Source0 is not in an URL form, because original tarball has 147 MB and contains just several tarballs - we need just one of them. So, to save space, Source0 is just that tarball and there is comment how and where to obtain it.
Comment 7 Michal Hlavinka 2012-12-13 09:32:21 EST

*** This bug has been marked as a duplicate of bug 886900 ***

Note You need to log in before you can comment on or make changes to this bug.